From: "Ben Kohler" <bkohler@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libcpuid/
Date: Tue, 3 Dec 2024 16:44:48 +0000 (UTC) [thread overview]
Message-ID: <1733244283.830f199b869555642fd8efc880aa535082ff21e1.bkohler@gentoo> (raw)
commit: 830f199b869555642fd8efc880aa535082ff21e1
Author: Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 3 16:29:28 2024 +0000
Commit: Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Tue Dec 3 16:44:43 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=830f199b
dev-libs/libcpuid: add 0.7.1
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>
dev-libs/libcpuid/Manifest | 1 +
dev-libs/libcpuid/libcpuid-0.7.1.ebuild | 37 +++++++++++++++++++++++++++++++++
2 files changed, 38 insertions(+)
diff --git a/dev-libs/libcpuid/Manifest b/dev-libs/libcpuid/Manifest
index f83536124af8..fb78f925020a 100644
--- a/dev-libs/libcpuid/Manifest
+++ b/dev-libs/libcpuid/Manifest
@@ -1,3 +1,4 @@
DIST libcpuid-0.6.4.tar.gz 338722 BLAKE2B ad23c13c48b0244f401a60d07fb569712f24b4d1f2bcd16f8d0240c6a39f8afae8944c9d3b4f486d3e1727157d642915c794fc89f9af315a2c4daf64625fdf25 SHA512 5396301d2a5485c6cf15a2fa8eab0ce28d967fe0dcf0776fec3618b963bc786499032150037f6b9123738e094d41583a331bcea25e502b5025ec6f03d318f77e
DIST libcpuid-0.6.5.tar.gz 370297 BLAKE2B 56394c0f99ee514bad115e614a27e3771e3ab0a27c7e980ed50419f6b22c268461db97aed8c879a66894ea34c788ed7a154ea403ec07a552fb524e321aa931e0 SHA512 c38381e0f768a2cd2a5df601cbcc50d1cb93a276c477bc09e69ff61de01aef30c0b3163f4a0c8e7641caa3cf692d468410ebc90a3cad93e0476cddeb0c444d7b
DIST libcpuid-0.7.0.tar.gz 442324 BLAKE2B fb3248227ac43fe536b66ee0b13dcb514aeb5be43d09b5a3ada5d944b869b9e6d311b4f1046869aa1f1b00c5c5a7254eeb8206094af1cd6487cefa2aafe78458 SHA512 26353763461cbbe664ddaa6933cbd9016e3b11d8a056bc8c2b92818dfe3a43fcda76a92270f716eeb00ae61b75288c7079add8d7ac2290a0a0d5c3bd7d898d44
+DIST libcpuid-0.7.1.tar.gz 451773 BLAKE2B 697aea4fd2cc614a84f00760c8a146288b91ffdcb1842b6c6033c5860e537210e9d0b5ea20a8e83eff35b800ee527462b81e19450a8727ff975f5df83d5680ef SHA512 124f4ad01e34d1494b549c62382e65bb3cea50785b59cd1f734a9a80bd099af96b84e32c70ed6326d6697977f58495e84973ff07a8648a5d7f6a58861f0ab6c1
diff --git a/dev-libs/libcpuid/libcpuid-0.7.1.ebuild b/dev-libs/libcpuid/libcpuid-0.7.1.ebuild
new file mode 100644
index 000000000000..a336c5daa7e3
--- /dev/null
+++ b/dev-libs/libcpuid/libcpuid-0.7.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=(python3_{9..12})
+
+inherit autotools python-any-r1
+
+DESCRIPTION="A small C library for x86 (and x86_64) CPU detection and feature extraction"
+HOMEPAGE="http://libcpuid.sourceforge.net/"
+SRC_URI="https://github.com/anrieff/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="BSD-2"
+SLOT="0/17"
+KEYWORDS="~amd64"
+IUSE="static-libs test"
+RESTRICT="!test? ( test )"
+
+DEPEND="test? ( ${PYTHON_DEPS} )"
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf "$(use_enable static-libs static)"
+}
+
+src_install() {
+ default
+ find "${ED}" -name "*.la" -delete || die
+}
next reply other threads:[~2024-12-03 16:44 UTC|newest]
Thread overview: 17+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-12-03 16:44 Ben Kohler [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-03 11:17 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libcpuid/ Ben Kohler
2024-08-29 15:08 Ben Kohler
2024-04-30 14:31 Ben Kohler
2024-04-16 18:07 Ben Kohler
2023-10-16 16:51 Ben Kohler
2023-10-16 16:51 Ben Kohler
2023-10-16 15:25 Ben Kohler
2023-10-09 16:09 Ben Kohler
2023-04-03 13:15 Ben Kohler
2023-01-10 18:17 Ben Kohler
2022-11-12 23:21 Ben Kohler
2022-11-12 14:51 Ben Kohler
2022-10-25 12:50 Ben Kohler
2022-09-28 14:17 Ben Kohler
2022-08-24 4:57 Sam James
2022-08-19 15:56 Ben Kohler
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1733244283.830f199b869555642fd8efc880aa535082ff21e1.bkohler@gentoo \
--to=bkohler@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox